- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- GuestAttributes
- GuestAttributesValue
- GuestAttributesEntry
- Try it!
Returns the specified guest attributes entry.
HTTP request
GET https://compute.s3nsapis.fr/compute/v1/projects/{project}/zones/{zone}/instances/{instance}/getGuestAttributes The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for this request. |
zone |
The name of the zone for this request. |
instance |
Name of the instance scoping this request. |
Query parameters
| Parameters | |
|---|---|
variableKey |
Specifies the key for the guest attributes entry. |
queryPath |
Specifies the guest attributes path to be queried. |
Request body
The request body must be empty.
Response body
A guest attributes entry.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"kind": string,
"variableKey": string,
"variableValue": string,
"queryPath": string,
"queryValue": {
object ( |
| Fields | |
|---|---|
kind |
Output only. Type of the resource. Always
for guest attributes entry. |
variableKey |
The key to search for. |
variableValue |
Output only. The value found for the requested key. |
queryPath |
The path to be queried. This can be the default namespace ('') or a nested namespace ('<namespace>/') or a specified key ('<namespace>/<key>'). |
queryValue |
Output only. The value of the requested queried path. |
selfLink |
Output only. Server-defined URL for this resource. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.instances.getGuestAttributes
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.
GuestAttributes
A guest attributes entry.
| JSON representation |
|---|
{
"kind": string,
"variableKey": string,
"variableValue": string,
"queryPath": string,
"queryValue": {
object ( |
| Fields | |
|---|---|
kind |
Output only. Type of the resource. Always
for guest attributes entry. |
variableKey |
The key to search for. |
variableValue |
Output only. The value found for the requested key. |
queryPath |
The path to be queried. This can be the default namespace ('') or a nested namespace ('<namespace>/') or a specified key ('<namespace>/<key>'). |
queryValue |
Output only. The value of the requested queried path. |
selfLink |
Output only. Server-defined URL for this resource. |
GuestAttributesValue
Array of guest attribute namespace/key/value tuples.
| JSON representation |
|---|
{
"items": [
{
object ( |
| Fields | |
|---|---|
items[] |
|
GuestAttributesEntry
A guest attributes namespace/key/value entry.
| JSON representation |
|---|
{ "namespace": string, "key": string, "value": string } |
| Fields | |
|---|---|
namespace |
Namespace for the guest attribute entry. |
key |
Key for the guest attribute entry. |
value |
Value for the guest attribute entry. |